
set( artdaq_VERSION 3.09.01 )
set( artdaq_UPS_VERSION v3_09_01 )


####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was product-config.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../../../../" ABSOLUTE)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################



## find_library directives
find_ups_boost( v1_53_0 )
find_ups_product( TRACE v3_03_00 )
find_ups_product( art v1_08_10 )
find_ups_product( canvas_root_io  )
find_ups_product( canvas  )
find_ups_product( cppunit  )
find_ups_product( clhep  )
find_ups_product( cetlib_except  )
find_ups_product( cetlib v2_01_00 )
find_ups_product( sqlite  )
  cet_find_library( SQLITE3 NAMES sqlite3_ups PATHS ENV SQLITE_LIB NO_DEFAULT_PATH )
find_ups_product( fhiclcpp  )
find_ups_product( python  )
  cet_find_library( PYTHON NAMES python2.7 PATHS ENV PYTHON_LIB NO_DEFAULT_PATH )
find_ups_product( messagefacility  )
find_ups_product( hep_concurrency  )
find_ups_product( tbb  )
  cet_find_library( CPPUNIT NAMES cppunit PATHS ENV CPPUNIT_LIB NO_DEFAULT_PATH )
find_ups_product( range  )
  cet_find_library( CLHEP NAMES CLHEP PATHS ENV CLHEP_LIB_DIR NO_DEFAULT_PATH )
find_ups_root(  )
find_ups_product( artdaq_core  )
find_ups_product( cetpkgsupport v1_08_03 )
find_ups_product( artdaq_utilities  )
find_ups_product( xmlrpc_c v1_25_18 )
set(TEST_ARTMODULES_FRAGMENTSNIFFER_MODULE "$ENV{ARTDAQ_LIB}/libtest_ArtModules_FragmentSniffer_module.so")
set(ARTDAQ_DAQDATA "$ENV{ARTDAQ_LIB}/libartdaq_DAQdata.so")
set(ARTDAQ_DAQDATA_GENERICFRAGMENTSIMULATOR_GENERATOR "$ENV{ARTDAQ_LIB}/libartdaq_DAQdata_GenericFragmentSimulator_generator.so")
set(ARTDAQ_DAQRATE "$ENV{ARTDAQ_LIB}/libartdaq_DAQrate.so")
set(ARTDAQ_APPLICATION "$ENV{ARTDAQ_LIB}/libartdaq_Application.so")
set(ARTDAQ_EXTERNALCOMMS "$ENV{ARTDAQ_LIB}/libartdaq_ExternalComms.so")
set(ARTDAQ_EXTERNALCOMMS_XMLRPC_COMMANDER "$ENV{ARTDAQ_LIB}/libartdaq_ExternalComms_xmlrpc_commander.so")
set(ARTDAQ_ARTMODULES_ROOTDAQOUTPUT "$ENV{ARTDAQ_LIB}/libartdaq_ArtModules_RootDAQOutput.so")
set(ARTDAQ_ARTMODULES_ROOTDAQOUTPUT-S85_ROOTDAQOUT_MODULE "$ENV{ARTDAQ_LIB}/libartdaq_ArtModules_RootDAQOutput-s85_RootDAQOut_module.so")
set(ARTDAQ_ARTMODULES "$ENV{ARTDAQ_LIB}/libartdaq_ArtModules.so")
set(ARTDAQ_ARTMODULES_TRANSFEROUTPUT_MODULE "$ENV{ARTDAQ_LIB}/libartdaq_ArtModules_TransferOutput_module.so")
set(ARTDAQ_ARTMODULES_TRANSFERINPUT_SOURCE "$ENV{ARTDAQ_LIB}/libartdaq_ArtModules_TransferInput_source.so")
set(ARTDAQ_ARTMODULES_RANDOMDELAYFILTER_MODULE "$ENV{ARTDAQ_LIB}/libartdaq_ArtModules_RandomDelayFilter_module.so")
set(ARTDAQ_ARTMODULES_EVENTDUMP_MODULE "$ENV{ARTDAQ_LIB}/libartdaq_ArtModules_EventDump_module.so")
set(ARTDAQ_ARTMODULES_MISSINGDATACHECK_MODULE "$ENV{ARTDAQ_LIB}/libartdaq_ArtModules_MissingDataCheck_module.so")
set(ARTDAQ_ARTMODULES_FRAGMENTWATCHER_MODULE "$ENV{ARTDAQ_LIB}/libartdaq_ArtModules_FragmentWatcher_module.so")
set(ARTDAQ_ARTMODULES_ARTDAQINPUT_SOURCE "$ENV{ARTDAQ_LIB}/libartdaq_ArtModules_ArtdaqInput_source.so")
set(ARTDAQ_ARTMODULES_ROOTNETOUTPUT_MODULE "$ENV{ARTDAQ_LIB}/libartdaq_ArtModules_RootNetOutput_module.so")
set(ARTDAQ_ARTMODULES_BINARYNETOUTPUT_MODULE "$ENV{ARTDAQ_LIB}/libartdaq_ArtModules_BinaryNetOutput_module.so")
set(ARTDAQ_ARTMODULES_BINARYFILEOUTPUT_MODULE "$ENV{ARTDAQ_LIB}/libartdaq_ArtModules_BinaryFileOutput_module.so")
set(ARTDAQ_ARTMODULES_ARTDAQSHAREDMEMORYSERVICE_SERVICE "$ENV{ARTDAQ_LIB}/libartdaq_ArtModules_ArtdaqSharedMemoryService_service.so")
set(ARTDAQ_ARTMODULES_ARTDAQFRAGMENTNAMINGSERVICE_SERVICE "$ENV{ARTDAQ_LIB}/libartdaq_ArtModules_ArtdaqFragmentNamingService_service.so")
set(ARTDAQ_ARTMODULES_ARTDAQBUILDINFO_MODULE "$ENV{ARTDAQ_LIB}/libartdaq_ArtModules_ArtdaqBuildInfo_module.so")
set(ARTDAQ_ARTMODULES_PRINTBUILDINFO_MODULE "$ENV{ARTDAQ_LIB}/libartdaq_ArtModules_PrintBuildInfo_module.so")
set(ARTDAQ_BUILDINFO "$ENV{ARTDAQ_LIB}/libartdaq_BuildInfo.so")
set(ARTDAQ_TRANSFERPLUGINS "$ENV{ARTDAQ_LIB}/libartdaq_TransferPlugins.so")
set(ARTDAQ_TRANSFERPLUGINS_SHMEM_TRANSFER "$ENV{ARTDAQ_LIB}/libartdaq_TransferPlugins_Shmem_transfer.so")
set(ARTDAQ_TRANSFERPLUGINS_NULL_TRANSFER "$ENV{ARTDAQ_LIB}/libartdaq_TransferPlugins_Null_transfer.so")
set(ARTDAQ_TRANSFERPLUGINS_MULTICAST_TRANSFER "$ENV{ARTDAQ_LIB}/libartdaq_TransferPlugins_Multicast_transfer.so")
set(ARTDAQ_TRANSFERPLUGINS_TCPSOCKET_TRANSFER "$ENV{ARTDAQ_LIB}/libartdaq_TransferPlugins_TCPSocket_transfer.so")
set(ARTDAQ_TRANSFERPLUGINS_AUTODETECT_TRANSFER "$ENV{ARTDAQ_LIB}/libartdaq_TransferPlugins_Autodetect_transfer.so")
set(ARTDAQ_ROUTINGPOLICIES "$ENV{ARTDAQ_LIB}/libartdaq_RoutingPolicies.so")
set(ARTDAQ_ROUTINGPOLICIES_ROUNDROBIN_POLICY "$ENV{ARTDAQ_LIB}/libartdaq_RoutingPolicies_RoundRobin_policy.so")
set(ARTDAQ_ROUTINGPOLICIES_NOOP_POLICY "$ENV{ARTDAQ_LIB}/libartdaq_RoutingPolicies_NoOp_policy.so")
set(ARTDAQ_ROUTINGPOLICIES_CAPACITYTEST_POLICY "$ENV{ARTDAQ_LIB}/libartdaq_RoutingPolicies_CapacityTest_policy.so")
set(ARTDAQ_GENERATORS "$ENV{ARTDAQ_LIB}/libartdaq_Generators.so")
set(ARTDAQ_GENERATORS_COMPOSITEDRIVER_GENERATOR "$ENV{ARTDAQ_LIB}/libartdaq_Generators_CompositeDriver_generator.so")
set(SWIG_ARTDAQ "$ENV{ARTDAQ_LIB}/libswig_artdaq.so")
  include_directories ( "$ENV{ARTDAQ_INC}" )

check_required_components(artdaq)

